# PulpAnsibleClient::PulpAnsibleApiApi

All URIs are relative to *http://pulp*

Method | HTTP request | Description
------------- | ------------- | -------------
[**get**](PulpAnsibleApiApi.md#get) | **GET** /pulp_ansible/galaxy/{path}/api/ | 



## get

> get(path, opts)



Return a response to the \"GET\" action.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'

api_instance = PulpAnsibleClient::PulpAnsibleApiApi.new
path = 'path_example' # String | 
opts = {
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  api_instance.get(path, opts)
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling PulpAnsibleApiApi->get: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **path** | **String**|  | 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

nil (empty response body)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined

